Skip to main content

Store Vectorized Text

Immutable Catalog + Curated Guide

This lossless descriptor comes from the active Portal catalog and is enhanced with reviewed examples.

WRITEqdrant.qdrant-store
  • Contract tier: agent_ready
  • Risk: write
  • Catalog version: qdrant-2026.07.12.2
  • Descriptor hash: 8b14634013029c032ba6ae01066bcf7148717bb38cfeaacd8ef77d63826ba93f

Chunk and store text with metadata in a target collection.

Request Body

{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-store-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-store",
"arguments": {
"collection_name": "school",
"text": "Lecture summary for COM120 chapter 4.",
"metadata": {
"class": "COM120",
"material_type": "lecture"
}
}
}
}

Arguments Schema

{
"type": "object",
"title": "Qdrant Store input",
"required": [
"information",
"collection_name"
],
"properties": {
"metadata": {
"anyOf": [
{
"type": "object",
"additionalProperties": true
},
{
"type": "null"
}
],
"title": "Metadata",
"default": null,
"description": "Memory metadata (type, entities, source, scope, timestamps, confidence)."
},
"information": {
"type": "string",
"title": "Information",
"description": "Text to store"
},
"dedupe_action": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Dedupe Action",
"default": null,
"description": "How to handle duplicates: update or skip. Defaults to MCP_DEDUPE_ACTION."
},
"collection_name": {
"type": "string",
"title": "Collection Name",
"description": "The collection to store the information in"
}
},
"description": "Validated input contract for the qdrant-store native Qdrant MCP tool."
}

Output Schema

{
"type": "object",
"$schema": "https://json-schema.org/draft/2020-12/schema",
"required": [
"data",
"meta"
],
"properties": {
"data": {
"type": "object",
"description": "Normalized result data for qdrant-store: store one normalized memory and return its stable point identifier.",
"additionalProperties": true
},
"meta": {
"type": "object",
"properties": {
"bytes_in": {
"type": "integer",
"description": "Approximate serialized input byte count."
},
"warnings": {
"type": "array",
"items": {
"type": "string"
},
"description": "Safe recovery warnings."
},
"bytes_out": {
"type": "integer",
"description": "Approximate serialized output byte count."
},
"elapsed_ms": {
"type": "integer",
"description": "Tool execution time in milliseconds."
},
"request_id": {
"type": "string",
"description": "Stable request trace identifier."
},
"server_version": {
"type": "string",
"description": "Deployed source revision when available."
},
"serialization_ms": {
"type": "integer",
"description": "Response serialization time in milliseconds."
},
"server_uptime_ms": {
"type": "integer",
"description": "Server process uptime in milliseconds."
},
"server_instance_id": {
"type": "string",
"description": "Ephemeral server-process identifier."
}
},
"description": "Secret-safe request, trace, size, timing, and warning metadata.",
"additionalProperties": true
}
},
"description": "Qdrant MCP normalized response envelope.",
"additionalProperties": false
}

Code Examples

curl -X POST 'https://portal.madpanda3d.com/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-store-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-store",
"arguments": {
"collection_name": "school",
"text": "Lecture summary for COM120 chapter 4.",
"metadata": {
"class": "COM120",
"material_type": "lecture"
}
}
}
}'

Example Responses

{
"ok": true,
"stored": 1,
"collection": "school"
}